﻿@using Resources;    


<div class="emap-global-wrapper">

    <div class="emap-top-wrapper">
        <div class="emap-logo  hidden-xs hidden-sm" style="pointer-events:all">
            <a ng-if="prefix == 'en'" href="http://peie.om" target="_blank">    
                <img src="Images/peie_logo_white.png">
            </a>
            <a ng-if="prefix == 'ar'" href="http://peie.om/ar" target="_blank">    
                <img src="Images/peie_logo_white.png">
            </a>
        </div>

        <div class="emap-top-menu-block">
            <div class="emap-top-menu-block-wrapper">
                <!-- estates search-->
                <div id="emap-estates-search-group" class="input-group emap-input-dropdown emap-estates-search-block" 
                    ng-class="contentScreen.dropdownEstateClass">
                    <div id="emap-estates-dropdown" class="input-group-addon">
                        <button type="button" class="btn dropdown-toggle" data-toggle="emap-dropdown" aria-haspopup="true" aria-expanded="false">
                            <span ng-show="contentScreen.selected_estate != null" class="caret"></span>
                            <span ng-show="contentScreen.selected_estate == null" class="caret"></span>
                        </button>
                        <ul class="dropdown-menu" ng-style="contentScreen.estatesDropdownStyle">
						    <li ng-repeat="e in contentScreen.estates">
                                <a href="#" ng-click="contentScreen.onEstateSelected(e.Id)">{{e.formatted_address}}</a>
						    </li>
                        </ul>
                    </div>
                    <div class="btn-group">
                        <input ng-show="prefix == 'en'"
                            type="text" placeholder="@Main.Select_estate_Search_tenant"
                            class="form-control emap-tenants-main-search" 
                            ng-model="contentScreen.searchString" 
                            g-places-autocomplete custom-places="tenants">
                        <input ng-show="prefix == 'ar'"
                            type="text" placeholder="@Main.Select_estate_Search_tenant"
                            class="form-control emap-tenants-main-search" 
                            ng-model="contentScreen.searchString" 
                            g-places-autocomplete custom-places="tenants">
                        <button ng-click="contentScreen.clearEstate()"
                            ng-show="contentScreen.selected_estate != null"
                            type="button" 
                            class="btn btn-default">
                            <span ng-show="contentScreen.selected_estate != null" title="@Main.Close">&times;</span>
                        </button>
                    </div>
			    </div>
                <!-- tenants search-->
                <div id="emap-tenants-search-group" 
                    ng-show="contentScreen.selected_estate != null" 
                    class="input-group emap-input-dropdown emap-tenants-search-block" 
                    ng-class="contentScreen.dropdownTenantClass">
                    <div id="emap-tenants-dropdown" class="input-group-addon">
                        <button type="button" 
                            class="btn dropdown-toggle" 
                            data-toggle="emap-dropdown" aria-haspopup="true" aria-expanded="false">
                            <span ng-show="contentScreen.selected_tenant != null" class="caret"></span>
                            <span ng-show="contentScreen.selected_tenant == null" class="caret"></span>
                        </button>
                        <ul class="dropdown-menu" ng-style="contentScreen.tenantsDropdownStyle">
						    <li ng-repeat="t in contentScreen.selected_estate.tenants">
                                <a href="#" ng-click="contentScreen.onTenantChanged(t.Id)">{{t.Name}}</a>
						    </li>
                        </ul>
                    </div>
                    <div class="btn-group">
                        <input ng-show="prefix == 'en'"
                            type="text" placeholder="-- @Main.Select_Tenant --" 
                            class="form-control emap-tenants-search" 
                            ng-model="contentScreen.tenantForEstate" 
                            g-places-autocomplete custom-places="tenantsForEstate" 
                            ng-disabled="contentScreen.selected_estate == null">
                        <input ng-show="prefix == 'ar'"
                            type="text" placeholder="-- @Main.Select_Tenant --" 
                            class="form-control emap-tenants-search" 
                            ng-model="contentScreen.tenantForEstate" 
                            g-places-autocomplete custom-places="tenantsForEstate" 
                            ng-disabled="contentScreen.selected_estate == null">
                        <button ng-click="contentScreen.clearTenant()"
                            type="button" 
                            class="btn btn-default">
                            <span ng-show="contentScreen.selected_tenant != null" title="@Main.Close">&times;</span>
                            <span ng-show="contentScreen.selected_tenant == null">&nbsp;</span>
                        </button>
                    </div>
			    </div>
                <!-- estate info -->
                <div ng-show="contentScreen.selected_estate != null" 
                    class="emap-selected-estate-name">
                    <div ng-show="contentScreen.selected_tenant == null">
                        <i class="icon-info-sign" style="font-size:14px;color: #428bca;vertical-align:-3px"></i>
                        <a class="emap-icon-link active" 
                            href="javascript:void(0)" 
                            ng-click="contentScreen.showEstateDetails(contentScreen.selected_estate.Id)">
                            @Main.Estate_Statistics
                        </a>
                    </div>
                    <!-- tenant info -->
                    <div ng-show="contentScreen.selected_tenant != null">
                        
                            <i ng-hide="contentScreen.selected_tenants && contentScreen.selected_tenants.length > 1"
                                class="icon-info-sign" style="font-size:14px;color: #428bca;vertical-align:-3px"></i>
                            <a 
                                ng-hide="contentScreen.selected_tenants && contentScreen.selected_tenants.length > 1"
                                ng-if="contentScreen.selected_tenant.formatted_address != 'Selected plot'"
                                class="emap-icon-link active" 
                                href="javascript:void(0)" 
                                ng-click="contentScreen.showTenantDetails(contentScreen.selected_tenant.Id)">
                                @Main.Company_Profile
                            </a>
                            <span 
                                ng-hide="contentScreen.selected_tenants && contentScreen.selected_tenants.length > 1"
                                ng-if="contentScreen.selected_tenant.formatted_address == 'Selected plot' || contentScreen.selected_tenant.formatted_address == 'الأرض المختارة'" style="color: #428bca;">
                                @Main.Plot_location_code: {{contentScreen.selected_tenant.Pnu}}, @Main.Plot_area: {{contentScreen.selected_tenant.Area}} @Main.m2<sup>2</sup>
                                <span ng-show="contentScreen.selected_tenant.Invest">, <a href="https://ems.peie.om/Registration.aspx?location_id={{contentScreen.selected_tenant.Pnu}}" target="_blank" style="font-size:12px;color:red">Pick to Invest</a></span>
                            </span>
                        
                        <div ng-show="contentScreen.selected_tenants && contentScreen.selected_tenants.length > 1"
                            style="position: relative;height: 35px;margin: 4px -5px 3px -5px;">
                            <div 
                                class="emap-location-tenant-select"
                                style="position: absolute;
                                    top: 0;
                                    display: inline-block;">
						        <select 
                                    class="form-control"  
                                    style="box-shadow: none;"
                                    ng-model="contentScreen.location_selected_tenant" 
                                    ng-options="t.Name for t in contentScreen.selected_tenants">
							        <option value="">-- @Main.Select_Tenant --</option>
						        </select>						
                            </div>
                            <button 
                                style="position: absolute;
                                top: 0;
                                background-color: #A0A807;"
                                class="btn emap-location-tenant-button" 
                                ng-click="contentScreen.showTenantDetails(contentScreen.location_selected_tenant.Id)" 
                                ng-disabled="!contentScreen.location_selected_tenant" 
                                title="@Main.Share">
                                <i class="icon-opennewwindow" style="color:#fff"></i>
                            </button>
                        </div>

                    </div>
                </div>
                <!-- classification -->
                <div ng-show="contentScreen.selected_estate != null && contentScreen.selected_tenant == null" 
                    class="emap-classification-block">
                    <div class="input-group emap-classification-dropdown emap-types">
                        <div id="emap-classification-dropdown" class="input-group-addon">
                            <button type="button" 
                                class="btn dropdown-toggle" data-toggle="emap-dropdown" aria-haspopup="true" aria-expanded="false">
                                <img src="Images/sitemap.png">
                            </button>
                            <ul class="dropdown-menu" ng-style="contentScreen.estatesDropdownStyle">
						        <li ng-repeat="c in contentScreen.classifications">
                                    <a href="#" ng-click="contentScreen.onClassificationChanged(c)">{{c.Name}}</a>
						        </li>
                            </ul>
                        </div>
                        <div class="btn-group">
                            <span ng-show="prefix == 'en'"
                                id="emap-classification-dropdown-text-en"
                                ng-click="contentScreen.onClassificationClick()">@Main.Classification<span ng-show="contentScreen.selected_classification.Name != null"> > </span>{{contentScreen.selected_classification.Name}}</span>
                            <span ng-show="prefix == 'ar'"
                                id="emap-classification-dropdown-text-ar"
                                ng-click="contentScreen.onClassificationClick()">@Main.Classification<span ng-show="contentScreen.selected_classification.Name != null"> > </span>{{contentScreen.selected_classification.Name}}</span>
                            <button ng-click="contentScreen.clearClassification()"
                                type="button" 
                                class="btn btn-default" title="@Main.Close">&times;</button>
                        </div>
			        </div>
                    <!-- countries -->
                    <div ng-show="contentScreen.selected_classification.countries.length > 0 && contentScreen.selected_tenant == null" 
                        class="input-group emap-classification-dropdown emap-countries">
                        <div id="emap-country-dropdown" class="input-group-addon">
                            <button type="button" class="btn dropdown-toggle" data-toggle="emap-dropdown" aria-haspopup="true" aria-expanded="false">
                                <span class="caret"></span>
                            </button>
                            <ul class="dropdown-menu" ng-style="contentScreen.estatesDropdownStyle">
						        <li ng-repeat="c in contentScreen.selected_classification.countries">
                                    <a href="#" ng-click="contentScreen.onCountryChanged(c)">{{c.Name}}</a>
						        </li>
                            </ul>
                        </div>
                        <div class="btn-group">
                            <input
                                type="text" placeholder="-- @Main.Select_Country --" 
                                class="form-control emap-classification-country-search" 
                                ng-model="contentScreen.selected_country.Name" 
                                g-places-autocomplete custom-places="classificationCountry">
                            <button ng-click="contentScreen.clearClassificationCountry()"
                                type="button" 
                                class="btn btn-default">
                                <span ng-show="contentScreen.selected_country != null" title="@Main.Close">&times;</span>
                                <span ng-show="contentScreen.selected_country == null">&nbsp;</span>
                            </button>
                        </div>
			        </div>
                    <!-- product types -->
                    <div ng-show="contentScreen.selected_classification.types.length > 0 && contentScreen.selected_tenant == null" 
                        class="input-group emap-classification-dropdown emap-product-types">
                        <div id="emap-product-types-dropdown" class="input-group-addon">
                            <button type="button" class="btn dropdown-toggle" data-toggle="emap-dropdown" aria-haspopup="true" aria-expanded="false">
                                <span class="caret"></span>
                            </button>
                            <ul class="dropdown-menu" ng-style="contentScreen.estatesDropdownStyle">
						        <li ng-repeat="t in contentScreen.selected_classification.types">
                                    <a href="#" ng-click="contentScreen.onProductTypeChanged(t)">{{t.Name}}</a>
						        </li>
                            </ul>
                        </div>
                        <div class="btn-group">
                            <input
                                type="text" placeholder="-- @Main.Select_Type --" 
                                class="form-control emap-classification-product-type-search" 
                                ng-model="contentScreen.selected_type.Name" 
                                g-places-autocomplete custom-places="classificationProductType">
                            <button ng-click="contentScreen.clearClassificationProductType()"
                                type="button" 
                                class="btn btn-default">
                                <span ng-show="contentScreen.selected_type != null" title="@Main.Close">&times;</span>
                                <span ng-show="contentScreen.selected_type == null">&nbsp;</span>
                            </button>
                        </div>
			        </div>
                </div>
                <!-- routes -->
			    <div class="emap-routes-block emap-sidebar-route panel-body list-group"
                    ng-show="contentScreen.selected_tenant != null">
                    <div class="form-inline">
                        <div class="form-group">
                            <div class="input-group">
                                <div class="input-group-addon">@Main.From</div>
                                <input id="emap-route-from" type="text" class="form-control" ng-model="contentScreen.t_route.from" g-places-autocomplete custom-places="t_routeFrom" placeholder="@Main.Select_Landmark_Current_Location">
                                <div class="input-group-addon">
                                    <a class="emap-icon-link active" ng-click="contentScreen.t_geolocate()">
                                        <i ng-class="contentScreen.t_route.geolocationClass"></i>
                                    </a>
                                </div>
                            </div>
                        </div>
                        <button class="btn emap-guide-me-btn" ng-click="contentScreen.t_guideMe()" ng-disabled="contentScreen.t_route.from.formatted_address == null || contentScreen.t_route.to.formatted_address == null" title="@Main.Guide_Me"><i ng-class="contentScreen.routeGuideClass" style="color:#fff"></i></button>
                        <button class="btn emap-share-btn" onclick="GIS.share(true)" ng-disabled="!contentScreen.t_route.isCalculated" title="@Main.Share"><i ng-class="contentScreen.routeClearClass" style="color:#fff"></i></button>
                    </div>
			    </div>
                <div class="clearfix"></div>
            </div>
            
            <!-- logo -->
            <div class="emap-logo-context-menu-block hidden-md hidden-lg" style="position:relative;">
                <div style="position:absolute;top:0;left:0;margin-top:5px;">
                    <a ng-if="prefix == 'en'" href="http://peie.om" target="_blank">    
                        <img src="Images/peie_logo_white.png" style="height:50px;opacity:0.6">
                    </a>
                    <a ng-if="prefix == 'ar'" href="http://peie.om/ar" target="_blank">    
                        <img src="Images/peie_logo_white.png" style="height:50px;opacity:0.6">
                    </a>
                </div>
                <div style="position:absolute;top:0;right:0;margin:10px 30px 0 0;">
                    <div ng-show="prefix != 'en'" style="float:left;">
                        <a class="btn btn-default"
                            role="button"
                            href="@Url.Action("ChangeCulture", "Main", new { lang = "en"})"
                            style="background-color:#eee;">@Main.English</a>
                    </div>
                    <div ng-show="prefix != 'ar'" style="float:left;">
                        <a class="btn btn-default"
                            role="button"
                            href="@Url.Action("ChangeCulture", "Main", new { lang = "ar"})"
                            style="background-color:#eee;">@Main.Arabic</a>
                    </div>
                    <div style="float:left;margin-left:5px;">
                        <a role="button"
                            class="btn btn-default emap-top-menu" 
                            style="background-color:#eee;"
                            data-container="body" 
                            data-toggle="popover" 
                            data-placement="bottom" 
                            data-html="true" 
                            data-content="<ul style='list-style: none;margin: 0;padding: 0;font-size: 12px;white-space: nowrap;'><li><a style='color:#000' href='javascript:void(0)' onclick='GIS.help()' title='@Main.Help'>@Main.Help</a></li><li><a style='color:#000' href='javascript:void(0)' onclick='GIS.share()' title='@Main.Share'>@Main.Share</a></li><li><a style='color:#000' href='javascript:void(0)' onclick='GIS.goHome()' title='@Main.Start_page'>@Main.Start_page</a></li></ul>">
                            ...
                        </a>
                    </div>
                    <div class="clearfix"></div>
                </div>
                
            </div>
		</div>

        <!-- context menu -->
        <div class="emap-context-menu hidden-xs hidden-sm">
            <div ng-show="prefix != 'en'">
                <a class="btn btn-default"
                    role="button"
                    href="@Url.Action("ChangeCulture", "Main", new { lang = "en"})">@Main.English</a>
            </div>
            <div ng-show="prefix != 'ar'">
                <a class="btn btn-default"
                    role="button"
                    href="@Url.Action("ChangeCulture", "Main", new { lang = "ar"})">@Main.Arabic</a>
            </div>
            <div>
                <a role="button"
                    class="btn btn-default emap-top-menu" 
                    data-container="body" 
                    data-toggle="popover" 
                    data-placement="bottom" 
                    data-html="true" 
                    data-content="<ul style='list-style: none;margin: 0;padding: 0;font-size: 12px;white-space: nowrap;'><li><a style='color:#000' href='javascript:void(0)' onclick='GIS.help()' title='@Main.Help'>@Main.Help</a></li><li><a style='color:#000' href='javascript:void(0)' onclick='GIS.share()' title='@Main.Share'>@Main.Share</a></li><li><a style='color:#000' href='javascript:void(0)' onclick='GIS.goHome()' title='@Main.Start_page'>@Main.Start_page</a></li></ul>">
                    ...
                </a>
            </div>
            <div class="clearfix"></div>
        </div>
    </div>
</div>

    @Html.Partial("~/Views/Partials/RoutesPanel.cshtml")
    @Html.Partial("~/Views/Partials/EstateInfoPanel.cshtml")
    @Html.Partial("~/Views/Partials/Legends.cshtml")